FROM bash:5.0

RUN apk add --no-cache curl
RUN apk --update add postgresql-client && rm -rf /var/cache/apk/*

COPY ./db/ /db/
COPY ./hasura /
COPY ./migrate.sh /
COPY ./apply_squash.sh /

RUN chmod +x /migrate.sh /hasura /apply_squash.sh

CMD ["bash", "/migrate.sh"]
